Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl
Interface Service

All Superinterfaces:
  ExtensibleElement, java.io.Serializable, javax.wsdl.Service, WSDLElement

    public interface Service

extends ExtensibleElement, javax.wsdl.Service

A representation of the model object 'Service'.

Since:
  1.0
See Also:
  `WSDLPackage.getService()`

Method Summary
`EList` | `getEPorts()` Returns the value of the 'EPorts' containment reference list.
`javax.xml.namespace.QName` | `getQName()` Returns the value of the 'QName' attribute
`boolean` | `isUndefined()` Returns the value of the 'Undefined' attribute
`void` | `setQName(javax.xml.namespace.QName value)` Sets the value of the '`QName`' attribute
`void` | `setUndefined(boolean value)` Sets the value of the '`Undefined`' attribute

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibleElement
`addExtensibilityElement, getEExtensibilityElements, getExtensibilityElements`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.Service
`addExtensibilityElement, addPort, getDocumentationElement, getExtensibilityElements, getPort, getPorts, setDocumentationElement`

Method Detail

### getQName

    javax.xml.namespace.QName getQName()

  Returns the value of the 'QName' attribute.

  If the meaning of the 'QName' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getQName` in interface `javax.wsdl.Service`
  Returns:
    the value of the 'QName' attribute.
  See Also:
    `setQName(QName)`, `WSDLPackage.getService_QName()`

### setQName

    void setQName(javax.xml.namespace.QName value)

  Sets the value of the '`QName`' attribute.

  Specified by:
    `setQName` in interface `javax.wsdl.Service`
  Parameters:
    `value` - the new value of the 'QName' attribute.
  See Also:
    `getQName()`

### isUndefined

    boolean isUndefined()

  Returns the value of the 'Undefined' attribute.

  If the meaning of the 'Undefined' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Undefined' attribute.
  See Also:
    `setUndefined(boolean)`, `WSDLPackage.getService_Undefined()`

### setUndefined

    void setUndefined(boolean value)

  Sets the value of the '`Undefined`' attribute.

  Parameters:
    `value` - the new value of the 'Undefined' attribute.
  See Also:
    `isUndefined()`

### getEPorts

    EList getEPorts()

  Returns the value of the 'EPorts' containment reference list. The list contents are of type `Port`.

  If the meaning of the 'EPorts' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EPorts' containment reference list.
  See Also:
    `WSDLPackage.getService_EPorts()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD